for Iteration control command
Usage
for (<initialization>;<condition>;<update>) <command>
Description

Executes <initialization> once then runs the following iteration loop: if <condition> evaluates to true then <command> is executed followed by the <update> command. The iteration is repeated until <condition> evaluates to false.
<condition> is an expression as the ones evaluated by $(*) with the following extensions:
If <condition> is a string, its length is evaluated: in this way a non-empty string causes the <condition> to be true, an empty string causes it to be false.
If <condition> is an array, its size is evaluated: in this way a non-empty array causes the <condition> to be true, an empty array causes it to be false.
If <condition> is a hash, the number of its entries is evaluated: in this way a non-empty hash causes the <condition> to be true, an empty hash causes it to be false.

Examples
for(%a = 0;%a < 100;%a++) echo %a

Index, Commands